Subject: Solved: lost connection in transfers

From: Thilo Hospe <[email-masked]>
Date: Thu, 14 May 1998 22:58:02 +0200

Thanks to all,

the problem has been solved :-)

The hint from Chris made me look at my ISDN-Router, which provides
the Address-Translation on a port by port basis. The Router did
close the ftp-control-port after the default 3600 seconds and never
opened it again. Changing this value to 3h solved the problem.
The Router is from BinTec (www.bintec.de) and it doesn´t matter which 
model, because they all have similar software.

	Thilo

At 15:45 09.05.1998 -0400, you wrote:
>
>----------- Original message follows -----------
>Hi,
>
>I´m providing ftp service for a limited group. The files are usually very big
>and the transfer is done via ISDN line. The problem I have is that for me
>the transfer was successful (correct line in xferlog, download time looks ok)
>but the last part of the file doesn´t reach the partner. The syslog (debug
all)
>shows "transfer complete" but also "lost connection".
>Is there any hint to look on either my or the partners side ?
>
>    Thilo
>
>--------------------------------------------------------
>Thilo Hospe                      [email-masked]
>Frankfurt am Main                   (voice) 069 / 637913
>
>----------- End of original message -----------
>Assuming the ftpd is configured and working properly, take a close
>look at the firewalls at the ftp site and client site.  Several NAT 
>(address
>translation) processes have a major ftp bug.  
>
>In short, the ftp  protocol uses two ports (20 and 21). The ftp 
>communication
>starts on port 21 and switches to port 20 (data) when downloading.  
>The bug in some firewalls is the port 21 connection is cleared from the
>NAT cache, thus the FTP data connection completes,
>but the client never gets the end of file marker.  The downloaded file is
>normally only a few bites smaller than the ftp site file.
>
>I mention NAT because you're in Germany and local ISPs are VERY strict
>about handing out full Class C subnets.  As such, either you or a client
>may be using address translation.
>
>Chris Strong
>IT Manager
>ON Technology
>Net Mail: cstrong @ on.com
>Web site: www.on.com
>
>
--------------------------------------------------------
Thilo Hospe                      [email-masked]
Frankfurt am Main                   (voice) 069 / 637913